/*
  ******************************************************************************
  * @file    main.c
  * @brief   main source File.
  ******************************************************************************
*/
#include "app.h"

#define UART_BAUD_RATE  115200
#define BUZZER_OUTPUT_FREQ  100000  // 100K  

UART_HandleTypeDef UART2_Handle;  

/************************************************************************
 * function   : Uart_Init
 * Description: Uart Initiation. 
 ************************************************************************/ 
void Uart_Init(void) 
{
    UART2_Handle.Instance        = UART2;    
    UART2_Handle.Init.BaudRate   = UART_BAUD_RATE; 
    UART2_Handle.Init.WordLength = UART_WORDLENGTH_8B;
    UART2_Handle.Init.StopBits   = UART_STOPBITS_1;
    UART2_Handle.Init.Parity     = UART_PARITY_NONE;
    UART2_Handle.Init.Mode       = UART_MODE_TX_RX_DEBUG;
    UART2_Handle.Init.HwFlowCtl  = UART_HWCONTROL_NONE;
    
    HAL_UART_Init(&UART2_Handle);  
    
    // UART_DEBUG_ENABLE control printfS   
    printfS("MCU is running, HCLK=%dHz, PCLK=%dHz\n", System_Get_SystemClock(), System_Get_APBClock());     
}

/*********************************************************************************
* Function    : main
* Description : 
* Input       : 
* Outpu       : 
* Author      : xwl                         Date : 2021
**********************************************************************************/
int main(void)
{
    System_Init(); 
    Uart_Init();  
    System_Set_Buzzer_Divider( (System_Get_SystemClock()/BUZZER_OUTPUT_FREQ) - 1, FUNC_ENABLE); 
    System_Delay(1000);
    
    Timer_PWM_Input_Test();     

    while(1)
    {

    }
}

